Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471220 - service Monitoring does not support chkconfig
Summary: service Monitoring does not support chkconfig
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-12 14:43 UTC by Miroslav Suchý
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:31 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-11-12 14:43:03 UTC
Description of problem:
When I install Spacewalk 0.3 I got this error:

# tail /var/log/rhn/rhn-installation.log
Command: /usr/bin/spacewalk-setup

Stopping tomcat5:                                          [  OK  ]
Stopping RHN Taskomatic...
Stopped RHN Taskomatic.
Stopping httpd:                                            [  OK  ]
Shutting down Jabber router:                               [  OK  ]
osa-dispatcher: unrecognized service
Shutting down TSDBLocalQueue:                              [FAILED]
service Monitoring does not support chkconfig

Comment 1 Miroslav Suchý 2008-11-12 16:05:54 UTC
Note for myself:
This code enabled services in old installer. But we cannot use it since it require installed packages:
#if ($opts{"monitoring-backend"}) {
  my $org_id = RHN::SatInstall->get_satellite_org_id();
  my $sc = new RHN::SatCluster(customer_id => $org_id,
             description => 'RHN Monitoring Satellite',
             last_update_user => 'installer',
            );
  $sc->create_new();

  my $scout_shared_key = RHN::SatCluster->fetch_key($sc->recid);
  RHN::SatInstall->write_config({ monitoringDOTscout_shared_key => $scout_shared_key },
        '/etc/sysconfig/rhn-satellite-prep/satellite-local-rules.conf');
#}

#if ($opts{"monitoring-scout"}) {
  print "Setting up Monitoring scout\n";

  RHN::SatInstall->setup_monitoring_sysv_step('MonitoringScout');
#}

Comment 2 Miroslav Suchý 2008-11-13 09:54:07 UTC
We can use it. In this time we have this modules installed. 
spacewalk-setup is called in install.pl after all packages are installed. And in spacewalk are loaded using yum install spacewalk.

Comment 3 Miroslav Suchý 2008-11-18 14:39:29 UTC
I created new package spacewalk-monitoring which beside this new init.d scripts contains all monitoring dependecy.

Commits between: bdc76452e0b6f17779d1c42438c69bae85c532f2 and 1787439183ac7f388bb9294ba1f1283bfa49c59b

Comment 4 Jan Pazdziora 2009-01-15 09:55:16 UTC
The rhn-installation.log no longer has the error:

Unsubstituted Tags:
Shutting down rhn-satellite...
Stopping cobbler daemon: [FAILED]
Stopping rhn-search...
rhn-search was not running.
2009-01-14 12:57:15 MonitoringScout: Debug level = 0
2009-01-14 12:57:15 MonitoringScout: Switches: stop
2009-01-14 12:57:15 MonitoringScout: ALREADY STOPPED
2009-01-14 12:57:15 MonitoringScout: ============ STATUS ===============
2009-01-14 12:57:15 MonitoringScout:    ---- Monitoring backend functionality is disabled
2009-01-14 12:57:15 MonitoringScout:    ---- Monitoring scout functionality is disabled
2009-01-14 12:57:15 MonitoringScout: Last action: stop
2009-01-14 12:57:15 MonitoringScout: ** Installed for SysV startup **
2009-01-14 12:57:15 MonitoringScout: STOPPED
2009-01-14 12:57:15 MonitoringScout: ===================================
2009-01-14 12:57:15 Monitoring: Debug level = 0
2009-01-14 12:57:15 Monitoring: Switches: stop
2009-01-14 12:57:15 Monitoring: ALREADY STOPPED
2009-01-14 12:57:15 Monitoring: ============ STATUS ===============
2009-01-14 12:57:15 Monitoring:    ---- Monitoring backend functionality is disabled
2009-01-14 12:57:15 Monitoring:    ---- Monitoring scout functionality is disabled
2009-01-14 12:57:15 Monitoring: Last action: stop
2009-01-14 12:57:15 Monitoring: ** Installed for SysV startup **
2009-01-14 12:57:15 Monitoring: STOPPED
2009-01-14 12:57:15 Monitoring: ===================================
Stopping httpd: [FAILED]
Stopping tomcat5: Stopping RHN Taskomatic...
RHN Taskomatic was not running.
Done.


Note You need to log in before you can comment on or make changes to this bug.